[or-cvs] r15139: Forgot some stuff in last Tor ebuild update... (in incognito/trunk/portage.overlay/net-misc/tor: . files)

anonym at seul.org anonym at seul.org
Wed Jun 11 20:19:03 UTC 2008


Author: anonym
Date: 2008-06-11 16:19:03 -0400 (Wed, 11 Jun 2008)
New Revision: 15139

Added:
   incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r3
   incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19-r2.ebuild
Removed:
   incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r2
   incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19.ebuild
Log:
Forgot some stuff in last Tor ebuild update...


Deleted: incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r2
===================================================================
--- incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r2	2008-06-11 20:15:28 UTC (rev 15138)
+++ incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r2	2008-06-11 20:19:03 UTC (rev 15139)
@@ -1,57 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tor/files/tor.initd-r2,v 1.1 2007/05/15 15:57:21 humpback Exp $
-
-opts="${opts} checkconfig reload"
-PIDFILE=/var/run/tor/tor.pid
-CONFFILE=/etc/tor/torrc
-
-depend() {
-        need net
-}
-
-checkconfig() {
-        # first check that it exists
-        if [ ! -f ${CONFFILE} ] ; then
-                eerror "You need to setup ${CONFFILE} first"
-                eerror "Example is in ${CONFFILE}.sample"
-                return 1
-	fi
-
-	# now verify whether the configuration is valid
-	/usr/bin/tor --verify-config -f ${CONFFILE} &> /dev/null
-	if [ $? -eq 0 ] ; then
-		einfo "Tor configuration (${CONFFILE}) is valid."
-		return 0
-	else
-		eerror "Tor configuration (${CONFFILE}) not valid."
-		/usr/bin/tor --verify-config -f ${CONFFILE}
-		return 1
-	fi
-}
-
-start() {
-	checkconfig || return 1
-        ebegin "Starting Tor"
-        HOME=/var/lib/tor
-        start-stop-daemon --start --quiet --chuid tor --exec /usr/bin/tor -- --runasdaemon 1 &> /dev/null
-        eend $?
-}
-
-stop() {
-        ebegin "Stopping Tor"
-        start-stop-daemon --stop --quiet --chuid tor --exec /usr/bin/tor
-        eend $?
-}
-
-reload() {
-	if [ ! -f ${PIDFILE} ]; then
-		eerror "${SVCNAME} isn't running"
-		return 1
-	fi
-	checkconfig || return 1
-	ebegin "Reloading Tor configuration"
-	start-stop-daemon --stop --oknodo --signal HUP --pidfile ${PIDFILE}
-	eend $?
-}

Added: incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r3
===================================================================
--- incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r3	                        (rev 0)
+++ incognito/trunk/portage.overlay/net-misc/tor/files/tor.initd-r3	2008-06-11 20:19:03 UTC (rev 15139)
@@ -0,0 +1,57 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/tor/files/tor.initd-r3,v 1.2 2007/08/29 11:49:42 humpback Exp $
+
+opts="${opts} checkconfig reload"
+PIDFILE=/var/run/tor/tor.pid
+CONFFILE=/etc/tor/torrc
+
+depend() {
+        need net
+}
+
+checkconfig() {
+        # first check that it exists
+        if [ ! -f ${CONFFILE} ] ; then
+                eerror "You need to setup ${CONFFILE} first"
+                eerror "Example is in ${CONFFILE}.sample"
+                return 1
+	fi
+
+	# now verify whether the configuration is valid
+	/usr/bin/tor --verify-config -f ${CONFFILE} &> /dev/null
+	if [ $? -eq 0 ] ; then
+		einfo "Tor configuration (${CONFFILE}) is valid."
+		return 0
+	else
+		eerror "Tor configuration (${CONFFILE}) not valid."
+		/usr/bin/tor --verify-config -f ${CONFFILE}
+		return 1
+	fi
+}
+
+start() {
+	checkconfig || return 1
+        ebegin "Starting Tor"
+        HOME=/var/lib/tor
+	start-stop-daemon --start --pidfile "${PIDFILE}" --quiet --chuid tor --exec /usr/bin/tor  -- --runasdaemon 1 --PidFile "${PIDFILE}" &> /dev/null
+        eend $?
+}
+
+stop() {
+        ebegin "Stopping Tor"
+	start-stop-daemon --stop --pidfile "${PIDFILE}" --chuid tor --exec /usr/bin/tor -- --PidFile "${PIDFILE}"
+        eend $?
+}
+
+reload() {
+	if [ ! -f ${PIDFILE} ]; then
+		eerror "${SVCNAME} isn't running"
+		return 1
+	fi
+	checkconfig || return 1
+	ebegin "Reloading Tor configuration"
+	start-stop-daemon --stop --oknodo --signal HUP --pidfile ${PIDFILE}
+	eend $?
+}

Added: incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19-r2.ebuild
===================================================================
--- incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19-r2.ebuild	                        (rev 0)
+++ incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19-r2.ebuild	2008-06-11 20:19:03 UTC (rev 15139)
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/tor/tor-0.1.2.19-r2.ebuild,v 1.6 2008/05/29 09:51:08 armin76 Exp $
+
+inherit eutils
+
+DESCRIPTION="Anonymizing overlay network for TCP"
+HOMEPAGE="http://tor.eff.org"
+MY_PV=${PV/_/-}
+SRC_URI="http://www.torproject.org/dist/${PN}-${MY_PV}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 sparc x86 ~x86-fbsd"
+IUSE="debug logrotate"
+
+DEPEND="dev-libs/openssl
+	>=dev-libs/libevent-1.2"
+RDEPEND="${DEPEND}
+	net-proxy/tsocks"
+
+pkg_setup() {
+	enewgroup tor
+	enewuser tor -1 -1 /var/lib/tor tor
+}
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	epatch "${FILESDIR}"/torrc.sample-0.1.2.6.patch
+	epatch "${FILESDIR}"/tor.logrotate.patch
+	epatch "${FILESDIR}"/tor-cookieperm.patch
+}
+
+src_compile() {
+	econf $(use_enable debug)
+	emake || die
+}
+
+src_install() {
+	newinitd "${FILESDIR}"/tor.initd-r3 tor
+	emake DESTDIR="${D}" install || die
+	keepdir /var/{lib,log,run}/tor
+
+	dodoc README ChangeLog AUTHORS ReleaseNotes \
+		doc/{HACKING,TODO} \
+		doc/spec/*.txt
+
+	fperms 750 /var/lib/tor /var/log/tor
+	fperms 755 /var/run/tor
+	fowners tor:tor /var/lib/tor /var/log/tor /var/run/tor
+
+	if use logrotate; then
+		sed -e "s:/lib::" \
+			-e "s:/rc.d::" \
+			-e "s:\\*:\\*.:" \
+			-e "s:sharedscripts:create 0640 tor tor\n\tsharedscripts:" -i contrib/tor.logrotate || die
+		insinto /etc/logrotate.d
+		newins contrib/tor.logrotate tor
+	fi
+}
+
+pkg_postinst() {
+	elog "You must create /etc/tor/torrc, you can use the sample that is in that directory"
+	elog "To have privoxy and tor working together you must add:"
+	elog "forward-socks4a / localhost:9050 ."
+	elog "(notice the . at the end of the line)"
+	elog "to /etc/privoxy/config"
+}

Deleted: incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19.ebuild
===================================================================
--- incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19.ebuild	2008-06-11 20:15:28 UTC (rev 15138)
+++ incognito/trunk/portage.overlay/net-misc/tor/tor-0.1.2.19.ebuild	2008-06-11 20:19:03 UTC (rev 15139)
@@ -1,67 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tor/tor-0.1.2.14.ebuild,v 1.4 2007/05/31 14:32:18 ranger Exp $
-
-inherit eutils
-
-DESCRIPTION="Anonymizing overlay network for TCP"
-HOMEPAGE="http://tor.eff.org"
-MY_PV=${PV/_/-}
-SRC_URI="http://www.torproject.org/dist/${PN}-${MY_PV}.tar.gz"
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ppc64 sparc x86 ~x86-fbsd"
-IUSE="debug"
-
-DEPEND="dev-libs/openssl
-	>=dev-libs/libevent-1.2"
-RDEPEND="${DEPEND}
-	net-proxy/tsocks"
-
-pkg_setup() {
-	enewgroup tor
-	enewuser tor -1 -1 /var/lib/tor tor
-}
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}"/torrc.sample-0.1.2.6.patch
-	epatch "${FILESDIR}"/tor.logrotate.patch
-	epatch "${FILESDIR}"/tor-cookieperm.patch
-}
-
-src_compile() {
-	econf $(use_enable debug)
-	emake || die "emake failed"
-}
-
-src_install() {
-	newinitd "${FILESDIR}"/tor.initd-r2 tor
-	emake DESTDIR="${D}" install || die
-	keepdir /var/{lib,log,run}/tor
-
-	dodoc README ChangeLog AUTHORS ReleaseNotes \
-		doc/{HACKING,TODO} \
-		doc/spec/*.txt
-
-	fperms 750 /var/lib/tor /var/log/tor
-	fperms 755 /var/run/tor
-	fowners tor:tor /var/lib/tor /var/log/tor /var/run/tor
-
-	sed -i -e "s:/lib::" \
-		-e "s:/rc.d::" \
-		-e "s:\\*:\\*.:" contrib/tor.logrotate
-	insinto /etc/logrotate.d
-	newins contrib/tor.logrotate tor
-}
-
-pkg_postinst() {
-	elog "You must create /etc/tor/torrc, you can use the sample that is in that directory"
-	elog "To have privoxy and tor working together you must add:"
-	elog "forward-socks4a / localhost:9050 ."
-	elog "(notice the . at the end of the line)"
-	elog "to /etc/privoxy/config"
-}



More information about the tor-commits mailing list